<?php
require_once("./__init__.php");
Rhaco::import("exception.ExceptionTrigger");
Rhaco::import("exception.data.IllegalArgumentException");
Rhaco::import("network.http.Request");
Rhaco::import("network.http.RequestLogin");
Rhaco::import("tag.HtmlParser");
Rhaco::importLibrary("UserController");

$request 	= new Request();
$template	= new HtmlParser();
$BLOCK_LIST	= array_merge($BLOCK_LIST,array("block/regist.html"));

if(RequestLogin::isLogin()){
	UserController::redirect($LOGIN_USER);
}
if($request->isPost() && $request->getVariable("login") != ""){
	if($request->getVariable("password") == "" || $request->getVariable("password") != $request->getVariable("repassword")){
		 ExceptionTrigger::raise(new IllegalArgumentException(Message::_("password")));
	}
	if(!ExceptionTrigger::isException()){
		if(UserController::add($request->getVariable("login"),$request->getVariable("password"))){
			if(RequestLogin::login(new LoginCondition(),$request)){
				UserController::redirect(RequestLogin::getLoginSession());
			}
		}
	}
}
$request->clearVariable("password","repassword");
$template->setVariable($request->getVariable());
$template->setVariable($VARIABLE_LIST);
$template->setReplace($REPLACE_LIST);
$template->setBlock($BLOCK_LIST);
$template->write("index.html");
?>